# Uses of Interface
org.eclipse.core.commands.IParameterValues

Packages that use IParameterValues
Package
Description
org.eclipse.core.commands
Application programming interfaces for commands and handlers.
org.eclipse.ui.commands
Provides support for retrieving information on Commands from the workbench.

## Uses of IParameterValues in org.eclipse.core.commands

Methods in org.eclipse.core.commands that return IParameterValues
Modifier and Type
Method
Description
`IParameterValues`
IParameter.`getValues()`
Returns the values associated with this parameter.

## Uses of IParameterValues in org.eclipse.ui.commands

Classes in org.eclipse.ui.commands that implement IParameterValues
Modifier and Type
Class
Description
`final class`
`ExtensionParameterValues`
A generic implementation of `IParameterValues` that takes advantage of the `IExecutableExtension` mechanism.